diff options
author | Eric Bélanger <snowmaniscool@gmail.com> | 2009-09-23 04:21:15 +0200 |
---|---|---|
committer | Aaron Griffin <aaronmgriffin@gmail.com> | 2009-09-23 16:56:32 +0200 |
commit | 09e556788e79fc86ce0c5ab7a6a26abcddcd0cbd (patch) | |
tree | 4bc4df0b874506c4ca19379e584550b2aad0b9a6 /misc-scripts/make-sourceball | |
parent | 652fa7ad93bfa708f0764b64107a54f4dcaf17bd (diff) | |
download | dbscripts-09e556788e79fc86ce0c5ab7a6a26abcddcd0cbd.tar.gz dbscripts-09e556788e79fc86ce0c5ab7a6a26abcddcd0cbd.tar.xz |
Fixed split packages support in sourceballs script
Signed-off-by: Eric Bélanger <snowmaniscool@gmail.com>
Signed-off-by: Aaron Griffin <aaronmgriffin@gmail.com>
Diffstat (limited to 'misc-scripts/make-sourceball')
-rwxr-xr-x | misc-scripts/make-sourceball | 16 |
1 files changed, 8 insertions, 8 deletions
diff --git a/misc-scripts/make-sourceball b/misc-scripts/make-sourceball index 11fac06..3d42f13 100755 --- a/misc-scripts/make-sourceball +++ b/misc-scripts/make-sourceball @@ -69,23 +69,23 @@ create_srcpackage() { pushd "$1" >/dev/null . "$BUILDSCRIPT" - echo "Creating source tarball for $pkgname-$pkgver-$pkgrel" + echo "Creating source tarball for $packagename-$pkgver-$pkgrel" if ! chk_license ${license[@]}; then #Removed so as not to clutter failed.txt - #echo -e "\t$pkgname license (${license[@]}) does not require source tarballs" >&2 + #echo -e "\t$packagename license (${license[@]}) does not require source tarballs" >&2 cleanup 0 fi - local logfile="$logpath/$pkgname" + local logfile="$logpath/$packagename" if ! /usr/bin/makepkg --allsource --ignorearch >"$logfile" 2>&1; then popd >/dev/null /bin/gzip -f -9 "$logfile" - die "\tFailed to download source for $pkgname-$pkgver-$pkgrel ($reponame-$_arch)" + die "\tFailed to download source for $packagename-$pkgver-$pkgrel ($reponame-$_arch)" fi /bin/rm -f "$logfile"{,.gz} - local pkg_file="${pkgname}-${pkgver}-${pkgrel}${SRCEXT}" + local pkg_file="${packagename}-${pkgver}-${pkgrel}${SRCEXT}" if [ ! -d "$srcpath" ]; then mkdir -p "$srcpath" @@ -109,9 +109,9 @@ remove_old() { cd .. done - for pkg in "$srcpath/$pkgname-"*; do + for pkg in "$srcpath/$packagename-"*; do [ -f "$pkg" ] || continue - if [ "$(getpkgname $pkg)" == "$pkgname" ]; then + if [ "$(getpkgname $pkg)" == "$packagename" ]; then skip=0 pver="$(getpkgver $pkg)" for v in $PKGVERS; do @@ -139,7 +139,7 @@ set_umask cd "$WORKDIR" if /usr/bin/svn export -q "$SVNREPO/$packagename" $packagename; then - remove_old "$pkgname/repos/" + remove_old "$packagename/repos/" create_srcpackage "$packagename/repos/$reponame-$_arch" else die "\tPackage '$packagename' does not exist in repo '$reponame-$_arch'" |